// Header File
// Created 7/7/2004; 2:08:04 PM
#ifndef _DEFS
#define _DEFS

//not much here just include the other header files Order IS important

	#include "opts.h"

	//FOpen and similer need AMS 2.00+

		#if !defined(VAT_FILES) && MIN_AMS<200 && !(defined(NO_EXT_LEV) && defined(NO_HS))
			#undef	MIN_AMS
			#define MIN_AMS 200
		#endif

	//if we dont use Fline rom calls use optomized. IMPORTANT: some functions/macros requior one or the other!
		#ifndef USE_FLINE_ROM_CALLS
			#define OPTIMIZE_ROM_CALLS
		#endif

	//if no internal emulator is wanted increse the MIN_AMS
		#if defined(USE_FLINE_ROM_CALLS) && !defined (USE_FLINE_EMULATOR) && MIN_AMS<204
			#undef	MIN_AMS
			#define MIN_AMS 204
		#endif

	#if defined(SC_IN_ROM) && defined(SC_IN_RAM)
		#undef SC_IN_ROM
		#undef SC_IN_RAM
	#endif

	#include "const.h"

	#include <tigcclib.h>
	//scince a switch statment is used to read keys they must be constants
	//the get key function will translate 92+ arrow presses to 89 equivilant
	//arrow presses so the arrow psudo constants need to be redefined
	#if defined(USE_TI89) && (defined(USE_TI92PLUS) || defined(USE_V200))
		#undef KEY_DOWN
		#define KEY_DOWN 340
		#undef KEY_LEFT
		#define KEY_LEFT 338
		#undef KEY_RIGHT
		#define KEY_RIGHT 344
		#undef KEY_UP
		#define KEY_UP 337
	#endif
	#include "macros.h"
	#include "types.h"
	#include "prototypes.h"
	#include "menu.h"
	#include "load level.h"

#endif
