// Header File
// Created 2/4/2005; 6:08:58 PM
#ifndef _CONST
#define _CONST
//values or symboles that should not be changed
	#define NO_EXIT_SUPPORT

	//values for sleep()
		enum {WAKE_ON_AI1=0x1,WAKE_ON_KEYPRESS=0x2,WAKE_ON_AI3=0x4,WAKE_ON_LINK=0x8,WAKE_ON_AI5=0x10,WAKE_ON_ALL=0x1F};
	//Values that mak up a WALL
		enum {o=0,W};
	//values for DFLT_HSC_LOC
		enum{HS_RAM=0,HS_R0M};
	//values for DrawBall
		enum{BALL=0,BALL_SPLAT=32};
	//empty wall used to terminate a level
		#define W_NULL ((WALL)((unsigned short)0))
	//vertion string
		#define VERSION_STR "0.9\x81"
	//enum to describe the return value of the main menu
		enum {
		#ifndef NO_LEVELS
			LEV_IDX=1
		#else
			LEV_IDX=0
		#endif
			,RAND_IDX,
		#ifndef NO_HS
			HS_IDX,
		#endif
		#ifndef NO_HELP
			HELP_IDX,
		#endif
			EXIT_IDX};
#ifndef NO_LEVELS
	#define	LEV_STR "Level Mode",
#else
	#define	LEV_STR
#endif

#ifndef NO_HS
	#define HS_STR "High Scores",
#else
	#define HS_STR
#endif

#ifndef NO_HELP
	#define HELP_STR "Help",
#else
	#define HELP_STR
#endif

	#define mainStr ((MenuNames){\
			LEV_STR\
			"Random Mode",\
			HS_STR\
			HELP_STR\
			"Exit"})

	#define speedStr ((MenuNames){\
			"Frantic!",\
			 "Fast",\
			 "Normal",\
			 "Very Slow"+sizeof("Very"),\
			 "Very Slow",\
			 "Molases"})

	#define diffStr ((MenuNames){\
			"Impossible!"\
			,"Very Hard"\
			,"Very Hard"+sizeof("Very")\
			,"Normal"\
			,"Very Easy"+sizeof("Very")\
			,"Very Easy",\
			"Novice"})


	#define ball ((const unsigned short[]){0x07E0,0x1FF8,0x3FFC,0x67FE,0x43FE,0xC3FF,0xFFFF,0xFFFF,\
												 0xFFFF,0xFFFF,0xFFFF,0x7FFE,0x7FFE,0x3FFC,0x1FF8,0x07E0})
	#define ballSplat ((const unsigned short[]){0x0180,0x0340,0x33CC,0x33CC,0x0990,0x0180,0x73CE,0xEF7D,\
															0xFFFF,0x73CE,0x0180,0x0990,0x334C,0x33CC,0x03C0,0x0180})


	//minimum x coordinat for the ball
	#define MIN_X  ((LCD_WIDTH-LCD_HEIGHT)/2)

	//maximum x coordinat for the ball
	#define MAX_X (MIN_X+LCD_HEIGHT)

	//name of the highscore file must start whith \0
	#define scoreStr "\0falsc4x4"

	//name of the highscore file
	#define scoreFile (scoreStr+1)

	//name of the highscore file as a sym str
	#define SymScoreFile (scoreStr+sizeof(scoreStr)-1)

	//the builtin level this can be changed but it must end whith W_NULL
	#define course ((WALL[]){{{W,W,W,W,\
														 o,W,W,W,\
														 o,o,W,W,\
														 o,o,o,W\
														 }},{{\
														 W,W,W,o,\
														 W,W,W,o,\
														 W,W,W,o,\
														 W,W,W,o\
														 }},{{   \
														 o,W,W,W,\
														 o,W,W,W,\
														 o,W,W,W,\
														 o,W,W,W\
														 }},{{\
														 W,o,W,o,\
														 o,W,o,W,\
														 W,o,W,o,\
														 o,W,o,W\
														 }},{{\
														 o,W,o,W,\
														 W,o,W,o,\
														 o,W,o,W,\
														 W,o,W,o\
														 }},{{\
														 o,o,o,o,\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,W\
														 }},{{\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,W,\
														 o,W,W,W\
														 }},{{\
														 W,W,W,o,\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,W\
														 }},{{\
														 W,W,W,W,\
														 W,o,o,W,\
														 W,o,o,W,\
														 W,W,W,W\
														 }},{{\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,W,\
														 o,o,o,o\
														 }},{{\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,o\
														 }},{{\
														 o,W,W,W,\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,W\
														 }},{{\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,o\
														 }},{{\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,W,\
														 o,W,W,W\
														 }},{{\
														 W,W,W,o,\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,W\
														 }},{{\
														 W,W,W,W,\
														 W,W,W,W,\
														 W,W,W,W,\
														 o,W,W,W}},\
														 W_NULL})


#define pic_92plus_and_v200 (( __attribute__ ((aligned(2))) const unsigned char[7680]){\
0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x07,\
0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xFF,0xFF,0xFC,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xFF,0xFF,0xFC,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xCC,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0x80,0x00,0x00,0x00,0x00,0x3F,0xC0,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC1,0xFF,0xE0,\
0x00,0x00,0x00,0x00,0x7F,0xE0,0x0F,0x83,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,\
0x07,0xFF,0xF8,0x03,0xFF,0x80,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0xE0,0x3C,0x00,\
0x00,0x00,0x60,0x60,0x7F,0x83,0x81,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,\
0xF8,0x03,0xFF,0x80,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0xFF,0xFF,0xF0,0x00,0x00,\
0x60,0x70,0xF3,0x83,0x81,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xF8,0x03,\
0xFF,0x80,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0xFF,0xFF,0xFF,0x00,0x00,0x60,0x71,\
0xE1,0x83,0x81,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0xF8,0x03,0xFF,0x80,\
0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0xFF,0xFF,0xFF,0xF0,0x00,0x60,0x71,0xC1,0x83,\
0x81,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xF8,0x01,0xFF,0x00,0x1F,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xC0,0xFF,0xFF,0xFF,0xFF,0xC0,0x7F,0xE1,0x81,0xC3,0x81,0x80,\
0x00,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0xF8,0x01,0xFE,0x00,0x1F,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xC0,0xF0,0xFF,0xFF,0xFF,0xFF,0x7F,0xE7,0x81,0xF3,0x81,0x80,0x00,0x00,\
0x00,0x00,0x00,0x01,0xFF,0xFF,0xF8,0x01,0xFE,0x08,0x1F,0xFE,0x33,0xFF,0xFF,0xC7,\
0xC0,0xFF,0xF8,0x7C,0x00,0xFF,0xFF,0xFF,0x00,0xFF,0x81,0x80,0x00,0x00,0x00,0x00,\
0x00,0x03,0xFF,0xFF,0xF8,0x01,0xFE,0x0C,0x1F,0xFC,0x01,0xFF,0xFF,0x83,0xC0,0xFF,\
0xE0,0x3F,0x00,0x0F,0xF0,0xFF,0x00,0x3F,0x81,0x80,0x00,0x00,0x00,0x00,0x00,0x03,\
0xFF,0xFF,0xF8,0x71,0xFE,0x0C,0x1F,0xE0,0x00,0x3F,0xFC,0x00,0x40,0xFF,0x80,0x07,\
0xC0,0x00,0x60,0x7E,0x00,0x3F,0x81,0x80,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,\
0xF8,0x70,0xFC,0x0C,0x1F,0xE0,0x00,0x1F,0xF0,0x00,0x00,0xFF,0x00,0x03,0xFF,0xC0,\
0x60,0x7E,0x00,0x3D,0x81,0x80,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xF8,0x70,\
0x7C,0x1C,0x1F,0xC1,0xF8,0x0F,0xE0,0x3E,0x00,0xFC,0x0F,0xC1,0xFF,0xFF,0x60,0x7F,\
0x00,0xF9,0x81,0x80,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xF8,0x78,0x7C,0x3C,\
0x1F,0xE3,0xFC,0x0F,0xE0,0x7F,0xC0,0xF8,0x1F,0xE0,0x7F,0xFF,0xE0,0x77,0x81,0xF1,\
0x83,0x80,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xF8,0x78,0x7C,0x3C,0x1F,0xF7,\
0xFE,0x0F,0xE0,0x7F,0xC0,0xF8,0x1F,0xE0,0x7F,0xFF,0xE0,0x63,0x81,0xF1,0x83,0x80,\
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xF8,0x78,0x38,0x3C,0x1F,0xFF,0xFC,0x0F,\
0xC0,0x7F,0xC0,0xF0,0x3F,0xE0,0x60,0x3F,0xE0,0x71,0x81,0xF1,0x83,0x80,0x00,0x00,\
0x00,0x00,0x00,0x3F,0xFF,0xFF,0xF8,0x78,0x18,0x3C,0x1F,0xFF,0xC0,0x0F,0xC1,0xFF,\
0xC0,0xF0,0x3F,0xE0,0x70,0x00,0x60,0x7B,0x81,0xC3,0xC7,0x00,0x00,0x00,0x00,0x00,\
0x00,0x3F,0xFF,0xFF,0xF8,0x78,0x18,0x78,0x1F,0xF0,0x00,0x0F,0xC1,0xFF,0xC0,0xF0,\
0x00,0x00,0x7E,0x00,0x60,0x7F,0x83,0xC1,0xC7,0x00,0x80,0x00,0x00,0x00,0x00,0x3F,\
0xFF,0xFF,0xF8,0x7C,0x18,0x78,0x1F,0xE0,0x00,0x0F,0xC1,0xFF,0xC0,0xF0,0x00,0x00,\
0x7F,0x00,0x60,0x7F,0x83,0xE1,0xC7,0x01,0x80,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,\
0xF8,0x7C,0x18,0xFC,0x1F,0xC0,0x1E,0x0F,0xC1,0xFF,0xC0,0xF0,0x00,0x00,0x7F,0xF0,\
0x60,0x7F,0x81,0xF1,0xC7,0x03,0xC0,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xF8,0x7E,\
0x00,0xFC,0x1F,0x01,0xFE,0x0F,0xC0,0xFF,0xC0,0xF0,0x3F,0xFF,0xFC,0x1F,0xE0,0x73,\
0x83,0xC1,0xCF,0x1F,0xF0,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xF8,0x7E,0x00,0xFC,\
0x1F,0x07,0xFE,0x0F,0xE0,0x7F,0xC0,0xF0,0x3F,0xFF,0xE7,0xC0,0xE0,0x7F,0x83,0xF1,\
0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xF8,0x7E,0x01,0xFC,0x1F,0x07,\
0xFC,0x0F,0xE0,0x7F,0x80,0xF8,0x1F,0xE0,0x60,0x3E,0x60,0x77,0x81,0xFF,0x93,0xFF,\
0xFE,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xF8,0x7E,0x01,0xFC,0x1F,0x03,0xF8,0x0F,\
0xE0,0x3F,0x00,0xF8,0x1F,0xE0,0x60,0x1E,0x60,0x63,0x81,0xFF,0x81,0xFF,0xFF,0x00,\
0x00,0x00,0x00,0xFF,0xFF,0xFF,0xF8,0x7F,0x01,0xFC,0x1F,0x01,0xE0,0x0F,0xF0,0x00,\
0x00,0xFC,0x03,0x80,0xE0,0x00,0xE0,0x71,0x80,0x3F,0x81,0xFF,0xFF,0x80,0x00,0x00,\
0x01,0xFF,0xFF,0xFF,0xF8,0x7F,0x01,0xFC,0x1F,0xC0,0x00,0x0F,0xF8,0x00,0x20,0xFF,\
0x00,0x03,0xFF,0x00,0x60,0x7D,0xC0,0x1F,0x81,0xFF,0xFF,0xC0,0x00,0x00,0x01,0xFF,\
0xFF,0xFF,0xF0,0x7F,0x01,0xF8,0x1F,0xE0,0x0E,0x0F,0xFE,0x01,0xE0,0xFF,0xC0,0x0F,\
0x8F,0xE0,0x60,0x73,0xC0,0x1F,0x81,0xFF,0xFF,0xE0,0x00,0x00,0x01,0xFF,0xFF,0xFF,\
0xF8,0x7F,0x03,0xFC,0x1F,0xF0,0x0F,0x0F,0xFF,0x03,0xE1,0xE7,0xE0,0x0F,0x07,0xF0,\
0x70,0xE3,0xE0,0x3F,0x83,0xFF,0xFF,0xE0,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF1,0xFF,0xFF,0x00,0x7E,0x7F,0xF1,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x0F,0xC1,0x9E,0x3F,0xFF,\
0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFE,0x18,0x7B,0xFF,0x00,0x7C,0x01,0xE0,0xE3,0x8F,0xFF,0xFF,0xFF,\
0xFF,0xFC,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xE0,0x00,0x08,0x0F,0xE0,0x1F,0x80,0x78,0xFC,0xC1,0xFF,0xFF,0xFF,0xFF,0xFE,\
0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,\
0x00,0x0C,0x07,0xF0,0x0F,0xC0,0x7C,0xFE,0xE1,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,\
0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x0C,\
0x00,0x7F,0xC7,0xE0,0x1F,0x7F,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x07,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x03,0xFF,0xF0,0x00,0x1F,\
0xFF,0xFC,0x0F,0xFF,0xFE,0x3F,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x07,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE3,0xFF,0xFF,0xFC,0x00,0x07,0xFF,0xDF,\
0x03,0xFF,0xFF,0x1F,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xFF,0xFF,0xFE,0x00,0x03,0xFF,0xDF,0x01,0xFF,\
0xFF,0x1F,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x03,0xF0,0x00,0xFF,0xF7,0x80,0xFF,0xFF,0xCF,\
0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFE,0x00,0x00,0xFE,0x00,0xFF,0xFF,0xE0,0x7F,0xFF,0xE3,0xFF,0xFF,\
0xFF,0xFF,0xC0,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0x80,0x03,0xFF,0x83,0xFD,0xFF,0xF0,0x7F,0xFF,0xF3,0xFF,0xFF,0xFF,0xFF,\
0xE0,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,\
0x80,0x0F,0xFF,0xC7,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,\
0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0x80,0x0F,\
0xFF,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0xF0,0x00,0x01,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xC0,0x1F,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0x3F,0xF0,0x00,0x03,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFF,0xFE,0x77,0xFE,0x3F,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFE,0x7F,0xF7,0xE7,0xFF,0xFB,0x9F,0xF8,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFD,0xFF,0xFF,0xFC,0xFF,0xFE,0x1F,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,\
0x3F,0xF3,0xFF,0xFF,0xFB,0xDF,0xF8,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,\
0xDF,0xFF,0xFC,0x7F,0xFF,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x3F,0xF9,\
0xFF,0xFF,0xFD,0xCF,0xF8,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0x9F,0xFF,\
0xFE,0x3F,0xFF,0x83,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x3F,0xFD,0xFF,0xFF,\
0xFD,0xEF,0xF8,0x00,0x1F,0xFF,0xFF,0xFF,0xFE,0xFF,0xFF,0xF8,0x1F,0xFF,0xFE,0x03,\
0xFF,0x80,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x3F,0xFD,0xFF,0xFF,0xFD,0xFF,\
0xF8,0x00,0x1F,0xFF,0xFF,0xFF,0xFC,0xFF,0xFF,0xF8,0x1F,0xFF,0xFF,0x03,0xFF,0x80,\
0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,\
0x1F,0xFF,0xFF,0xFF,0xFC,0xFF,0xFF,0xF8,0x1F,0xFF,0xFF,0xC3,0xE0,0x07,0xC0,0x7F,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x1F,0xFF,\
0xFF,0xFF,0xFC,0xFF,0xFF,0xF8,0x1F,0xFF,0xFF,0xC1,0xE0,0x03,0xE0,0xFF,0xFF,0xF3,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x1F,0xFF,0xFF,0xFF,\
0xFC,0xFF,0xFF,0xFC,0x1F,0xFF,0x87,0xF0,0x70,0x00,0x00,0x1F,0xFF,0xE7,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x1F,0xFF,0xFF,0xFF,0xFC,0xFF,\
0xFF,0xFC,0x0F,0xFE,0x01,0xFC,0x1C,0x00,0x00,0x01,0xFF,0x8F,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x1F,0xFF,0xFF,0xFF,0xFC,0xFF,0xFF,0xFE,\
0x07,0xF8,0x00,0x3F,0x8F,0xF8,0x00,0x0F,0xFC,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x1F,0xFF,0xFF,0xFF,0xFC,0xFF,0xFF,0xFE,0x07,0xF0,\
0x00,0x1F,0xE0,0xFF,0xFD,0xFF,0xE1,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFC,0x00,0x1F,0xFF,0xFF,0xFF,0xFC,0xFF,0xFF,0xFF,0x07,0xF0,0x00,0x07,\
0xF0,0x7F,0xFF,0xFF,0xC3,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFC,0x00,0x1F,0xFF,0xFF,0xFF,0xFC,0xFF,0xFF,0xFF,0x03,0xF0,0x00,0x03,0xFF,0x87,\
0xFF,0xFC,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,\
0x1F,0xFF,0xFF,0xFF,0xFC,0xFF,0xFF,0xFF,0x83,0xF8,0x00,0x00,0x3F,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xF9,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x0F,0xFF,\
0xFF,0xFF,0xFC,0x7F,0xFE,0x0F,0xE1,0xF8,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xE1,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0xFE,0x00,0x0F,0xFF,0xFF,0xFF,\
0xFE,0x7F,0xFC,0x0F,0xF0,0xFC,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xE1,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0xFE,0x00,0x0F,0xFF,0xFF,0xFF,0xFE,0x7F,\
0xF0,0x03,0xF8,0x3E,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x87,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0x9F,0xFE,0x00,0x07,0xFF,0xFF,0xFF,0xFE,0x3F,0x00,0x01,\
0xFC,0x1F,0x80,0x00,0x00,0xFF,0xFF,0xFF,0xF0,0x0F,0xFF,0xFF,0x0F,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xDF,0xFE,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0x1E,0x00,0x00,0x7F,0x07,\
0xF8,0x00,0x00,0x00,0x03,0x80,0x00,0x3F,0xFF,0xF8,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xCF,0xFE,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0x0E,0x00,0x00,0x1F,0xE1,0xFC,0x00,\
0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xE0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xCF,\
0xFC,0x00,0x07,0xFF,0xFF,0xFE,0x3F,0x8E,0x00,0x00,0x0F,0xE1,0xFE,0x00,0x00,0x00,\
0x00,0x00,0x03,0xFF,0xFF,0xC0,0xFF,0xFF,0xFF,0xFF,0x9F,0xFF,0xFF,0xCF,0xFC,0x00,\
0x03,0xFF,0xFF,0x80,0x07,0xC6,0x00,0x00,0x03,0xF8,0x3F,0xE0,0x1F,0xFC,0x03,0x03,\
0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xFF,0xFB,0x1F,0xFF,0xFF,0xCB,0xFC,0x00,0x01,0xFF,\
0xF0,0x00,0x01,0xE7,0x00,0x00,0x03,0xFE,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xF0,0x1F,0xFF,0xFF,0xFF,0xE0,0x1F,0xFF,0xFF,0xCB,0xFC,0x00,0x00,0xFF,0xF0,0x00,\
0x01,0xF3,0x80,0x00,0x01,0xBF,0xE1,0xFF,0xFF,0xFF,0xFF,0xFF,0xE7,0xFF,0xC0,0x7F,\
0xFF,0xFF,0xFF,0xC0,0x3F,0xFF,0xFF,0xDF,0xFC,0x00,0x00,0xFF,0xF0,0x00,0x00,0xF3,\
0xC0,0x00,0x00,0x1F,0xF0,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,\
0xFF,0x80,0x3F,0xFF,0xFF,0xDF,0xFC,0x00,0x00,0x7F,0xF0,0x00,0x00,0xF9,0xE0,0x00,\
0x00,0x0F,0xFC,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x0F,0xFF,0xFF,0xFF,0xFF,0x80,\
0x7F,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x3F,0xF8,0x00,0x00,0x7C,0x78,0x00,0x00,0x01,\
0xFF,0xE0,0x0F,0xFF,0xFF,0xFF,0xFE,0x00,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0xFF,0xFF,\
0xFF,0xBF,0xF8,0x00,0x00,0x1F,0xFC,0x00,0x00,0x3E,0x1C,0x00,0x00,0x00,0x3F,0xFF,\
0xC0,0x00,0x3F,0xF0,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFC,0x01,0xFF,0xFF,0xFF,0xFF,\
0xF8,0x00,0x00,0x1F,0xFC,0x00,0x00,0x0F,0x8E,0x00,0x00,0x00,0x1F,0xFF,0xFF,0x80,\
0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x03,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,\
0x00,0x1F,0xFE,0x00,0x00,0x0F,0x87,0x80,0x00,0x00,0x01,0xFF,0xFF,0xFC,0x00,0x07,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x0F,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,0x00,0x3F,\
0xFF,0x00,0x00,0x07,0xE3,0xE0,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xBF,0xFF,0xFF,0xFF,0xC0,0x1F,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x1F,0xFF,0x80,\
0x00,0x01,0xF9,0xF8,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFE,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xC0,0x00,0x00,0x1F,0xFF,0xC0,0x00,0x00,\
0xFE,0x3E,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,\
0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x0F,0xFF,0xC0,0x00,0x00,0x7F,0x0F,\
0x80,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x01,0xFF,\
0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x0F,0xFF,0xE0,0x00,0x00,0x3F,0x87,0xE0,0x00,\
0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0x03,0xFF,0xFF,0xFF,\
0xFF,0xFF,0x00,0x00,0x00,0x07,0xFF,0xF8,0x00,0x00,0x0F,0xF1,0xF8,0x00,0x00,0x00,\
0x7E,0x03,0xFF,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,\
0x00,0x00,0x00,0x03,0xFF,0xFC,0x00,0x00,0x07,0xFC,0x7F,0x80,0x00,0x01,0xF8,0x00,\
0x0F,0xC0,0x3F,0xFF,0xFF,0xFF,0xF8,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,\
0x00,0x03,0xFF,0xFC,0x00,0x00,0x01,0xFF,0x0F,0xF8,0x00,0x03,0xFC,0x00,0x07,0xFC,\
0x1F,0xFF,0xFF,0xFF,0xE0,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x01,\
0xFF,0xFC,0x00,0x00,0x00,0xFF,0x87,0xFF,0x30,0x07,0xFE,0x00,0x07,0xFF,0x7F,0xFF,\
0xFF,0xFF,0xC0,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0xFF,0xFE,\
0x00,0x00,0x00,0x3F,0xF8,0x7F,0xF0,0x1F,0xFF,0xCF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,\
0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x7F,0xFF,0x00,0x00,\
0x00,0x07,0xFF,0x07,0xFF,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x01,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x00,0x00,0x1F,0xFF,0xC0,0x00,0x00,0x01,\
0xFF,0xF0,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x3F,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x07,0xFF,0xF0,0x00,0x00,0x00,0x7F,0xFF,\
0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xC0,0x00,0x00,0x00,0x00,0x07,0xFF,0xF8,0x00,0x00,0x00,0x1F,0xFF,0xC0,0x7F,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,\
0x00,0x00,0x00,0x00,0x03,0xFF,0xFE,0x00,0x00,0x00,0x07,0xFF,0xFE,0x01,0xFF,0xFF,\
0xFF,0xFF,0xFF,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,\
0x00,0x00,0x01,0xFF,0xFF,0x80,0x00,0x00,0x00,0x3F,0xFF,0xFC,0x00,0x1F,0xFF,0x00,\
0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,\
0x00,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x07,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,\
0xFF,0xF0,0x00,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xF8,0x00,0x00,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0xFC,\
0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xFF,0x00,0x00,\
0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x3F,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0x00,0x00,0x00,\
0x00,0x38,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x1F,\
0xC7,0xCF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xF0,0x00,0x00,0x00,0x01,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xF8,0x00,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xF8,0x7F,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x07,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xBF,0xFF,\
0xFF,0xFC,0x7F,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x01,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,\
0x7F,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,\
0xFF,0xFF,0xF0,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x7F,0xFF,\
0xFF,0xFF,0xFF,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0xFF,\
0xFF,0xE0,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xFF,0xFF,0xFF,0xFF,\
0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,\
0xC0,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,\
0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF1,0xFF,0xFF,0xFF,0xFF,0xC0,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xF8,0x03,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF9,0xF0,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xC0,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFE,0x01,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
\
0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xC0,0x03,0x07,0xFF,0xE1,0xF8,\
0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFE,0x00,0x00,0x0F,0xFF,0xFF,0xFE,0x00,0x00,0x1F,0xFF,0xC8,0x03,0x80,0x03,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,\
0x00,0x00,0x7F,0xFF,0xFF,0xF8,0x00,0x03,0x7F,0xFF,0xC8,0x1F,0x80,0x03,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,\
0xFF,0xFF,0xFF,0xFC,0xFC,0x03,0xFF,0xF0,0x07,0xF0,0x33,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x0F,0xFF,0xFF,\
0xFC,0xFF,0xFE,0x07,0xFF,0xF7,0xFF,0x87,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x0F,0x0F,0xFF,0xFF,0xFF,\
0x80,0x3F,0xFF,0xFF,0xF0,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x1F,0xC1,0xFF,0xFF,0xFC,0x00,0x3F,\
0xF7,0x80,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x0F,0xFF,0xE1,0xFF,0xFF,0xF8,0x00,0x3F,0xC0,0x00,\
0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xC0,0x3F,0xFF,0xFF,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFC,0x00,0x3F,0xFF,0xF3,0xFF,0xFF,0xF8,0x00,0x3E,0x00,0x3E,0x7F,0x9F,\
0xFF,0xFF,0xFF,0xFF,0xBF,0xDF,0xF3,0x7D,0xFF,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xF8,0x00,0x77,0xFF,0xFF,0x7F,0xFC,0xFE,0x1F,0xFF,0xC0,0x00,0xFF,0xDF,0xC3,0xFF,\
0xFF,0xFF,0xFF,0xFF,0x9F,0xFD,0xFF,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,\
0x70,0x03,0xFF,0x00,0x2D,0xFF,0xFF,0xFF,0xE0,0x01,0xE1,0xE0,0x00,0x0F,0xFF,0xFF,\
0xF0,0xEF,0x6D,0xFF,0x03,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x70,0x03,\
0xFF,0x00,0x2D,0xFF,0xFF,0xFF,0xFC,0x3F,0xE1,0xEF,0xFC,0x00,0xFF,0xFF,0xF0,0xEE,\
0xF3,0xFF,0x03,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0x00,0x70,0x03,0xFF,0x00,\
0x2F,0xFF,0xFF,0xFF,0xFF,0xFF,0xE1,0xFF,0xFF,0xF0,0x0F,0xFF,0xF0,0xEF,0xA3,0xFF,\
0x03,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x70,0x03,0xFE,0x00,0x2F,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xE1,0xE0,0x3F,0xFF,0x80,0x3F,0xE0,0x5F,0x43,0xBF,0x03,0x7F,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x01,0x70,0x00,0xFF,0x00,0x2F,0xFF,0xFF,0xE0,\
0x07,0xFF,0xE1,0xEF,0x3F,0xF0,0x00,0x00,0xBF,0xDB,0x03,0xEF,0x83,0x7F,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFE,0x00,0x07,0xF0,0x00,0xFF,0x04,0x2F,0xFD,0xCD,0xF0,0x0F,0xBB,\
0xE1,0xE1,0xE7,0xBB,0xFF,0x00,0x70,0xC7,0x81,0x33,0x83,0x7F,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFC,0x00,0x0F,0xF0,0x70,0xFF,0x18,0x2F,0xFA,0x02,0xF8,0x3F,0x07,0xE1,0xF7,\
0xF0,0x5C,0xFF,0xF0,0x6F,0x4E,0x81,0xFB,0x83,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,\
0x00,0x1F,0xF0,0x20,0xFC,0x18,0x2F,0xF8,0x00,0xDE,0x7B,0x03,0xA1,0xFF,0xC0,0x1F,\
0xBF,0xFF,0xF0,0xFC,0x00,0x11,0x83,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x7F,\
0xF0,0x30,0x7E,0x18,0x3D,0xC0,0xF0,0x3C,0x78,0x08,0x01,0xFE,0x83,0x05,0xE0,0x3F,\
0xF0,0xFC,0x00,0x1B,0x83,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0xFF,0x70,0x38,\
0xFC,0x28,0x2B,0xE3,0xFC,0x1F,0xF0,0x5D,0x81,0xC8,0x17,0xA2,0xFF,0xC0,0xF0,0xEE,\
0x81,0x37,0x83,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0xFF,0x70,0x38,0xFC,0x58,\
0x2F,0xF7,0xFE,0x04,0xE0,0xFF,0x81,0xFC,0x08,0xE0,0xE3,0xFE,0x70,0xEB,0x03,0xFF,\
0xC5,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,0xFF,0x70,0x3C,0xFC,0x58,0x2F,0xEB,\
0xFC,0x05,0xC0,0xF3,0xC1,0xFC,0x38,0xF0,0xE0,0x3F,0xF0,0xFD,0x43,0xEF,0xC5,0x7F,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0xFF,0xF0,0x3C,0x5C,0x58,0x39,0xFF,0xFE,0x05,\
0xE0,0xF3,0xE1,0xF8,0x3F,0xF0,0xFF,0xC0,0x70,0xEF,0x03,0x8F,0xC5,0x7F,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xC0,0x00,0xFF,0xF0,0x3C,0x30,0x58,0x28,0xFF,0x38,0x07,0xA2,0xC1,\
0xE1,0xF8,0x1F,0xE0,0x6F,0xFF,0xF0,0xE5,0x03,0xBD,0x8B,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xC0,0x01,0xFF,0xF0,0x3C,0x30,0xBC,0x2F,0xEF,0x00,0x05,0xA3,0xE1,0xE1,0xF8,\
0x3F,0xE0,0x71,0xFF,0xF0,0xF1,0x01,0xBF,0xCB,0xFF,0x7F,0xFF,0xFF,0xFF,0xFF,0xC0,\
0x01,0xFF,0xF0,0x3A,0x30,0xBC,0x2F,0xF0,0x0C,0x05,0xA3,0xE1,0xE1,0xF8,0x00,0x00,\
0x70,0xFF,0xF0,0xF3,0x01,0xDE,0xCA,0xFE,0x7F,0xFF,0xFF,0xFF,0xFF,0x80,0x03,0xFF,\
0xF0,0x3E,0x20,0x78,0x2F,0xE1,0xEC,0x05,0xA3,0xC1,0xE1,0xF8,0x3F,0xFF,0xE0,0x0F,\
0xF0,0xE1,0x03,0x8E,0xCA,0xFC,0x3F,0xFF,0xFF,0xFF,0xFF,0x80,0x07,0xFF,0xF0,0x3C,\
0x00,0xF8,0x2F,0xC3,0xFC,0x05,0xE1,0x61,0xE1,0xF8,0x3F,0xFF,0xE3,0xE0,0x70,0xED,\
0x01,0xBE,0xF6,0xE0,0x0F,0xFF,0xFF,0xFF,0xFF,0x80,0x0F,0xFF,0xF0,0x3C,0x01,0xF8,\
0x2E,0x03,0xFC,0x05,0xE0,0xF7,0xC1,0xF8,0x1C,0x67,0xD8,0x3F,0x70,0xF1,0x01,0xCF,\
0xFF,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0x00,0x0F,0xFF,0xF0,0x3D,0x01,0xF8,0x2E,0x03,\
0xF8,0x07,0xE0,0x3F,0x41,0xFC,0x3F,0xF7,0xDF,0xC1,0xF0,0xE9,0x43,0xF1,0xED,0x80,\
0x01,0xFF,0xFF,0xFF,0xFF,0x00,0x3F,0xFF,0xF0,0x3F,0x03,0xF8,0x2A,0x87,0xFC,0x06,\
0xF0,0x5E,0x81,0xFC,0x0F,0xC0,0xDF,0xE1,0xF0,0xFD,0x40,0xF9,0x83,0xF8,0x00,0xFF,\
0xFF,0xFF,0xFF,0x00,0x3F,0xFF,0xF0,0x3E,0x03,0xF8,0x2B,0xC2,0xD8,0x04,0x60,0x1E,\
0x01,0xEA,0x0C,0x43,0xDF,0xFF,0x70,0xEF,0xC0,0xDF,0x83,0xF8,0x00,0x7F,0xFF,0xFF,\
0xFE,0x00,0x7F,0xFF,0xF0,0x3F,0x03,0xF8,0x2B,0xA0,0x06,0x04,0x34,0x00,0xF1,0xEE,\
0x80,0x05,0x80,0xFF,0xF0,0xE2,0x80,0x3F,0x83,0xFE,0x00,0x3F,0xFF,0xFF,0xFE,0x00,\
0x7F,0xFF,0xF8,0x3F,0x03,0xFC,0x2F,0xF0,0x05,0x06,0x1C,0x02,0xF1,0xE7,0xC0,0x07,\
0x70,0x1F,0xF0,0xED,0xE0,0x2F,0x83,0xFF,0x00,0x1F,0xFF,0xFF,0xFE,0x00,0xFF,0xFF,\
0xF7,0xFF,0xFD,0xFB,0xFD,0xEF,0xFE,0xF7,0x1E,0xFD,0xFE,0xDB,0xDF,0xFF,0xF8,0x0F,\
0xEF,0x7C,0xDF,0xDD,0xFD,0xFF,0x80,0x1F,0xFF,0xFF,0xFC,0x00,0xFF,0xFF,0xFF,0xFF,\
0xFF,0x8F,0xF8,0xFF,0xFF,0xFF,0x07,0xFF,0xFF,0xCE,0x7F,0xFC,0xFF,0x81,0xFF,0xEE,\
0x7F,0xFD,0xFF,0xFF,0x80,0x07,0xFF,0xFF,0xFC,0x00,0xFF,0xFF,0xFF,0xFF,0xFE,0x0F,\
0xE3,0xFF,0xC0,0xFC,0x01,0xFE,0x1F,0xC0,0x00,0x00,0x1F,0xF0,0x3E,0x61,0xDF,0xFF,\
0xFF,0xFF,0xC0,0x03,0xFF,0xFF,0xFC,0x00,0xFF,0xFF,0xFF,0xFF,0xF0,0x0E,0x07,0xE0,\
0x01,0xE0,0x10,0x01,0xE7,0x84,0x00,0xFF,0x83,0xFE,0x1F,0x1C,0x70,0x3F,0xFE,0x3F,\
0xF0,0x03,0xFF,0xFF,0xFC,0x00,0xFF,0xFF,0xFF,0xFF,0xE0,0xFC,0x77,0xE0,0x0F,0x01,\
0xE0,0x1F,0xFC,0xF7,0xF0,0x1F,0xE0,0x7F,0x87,0x63,0x3E,0x7F,0xFF,0xF9,0xF8,0x01,\
0xFF,0xFF,0xFC,0x00,0xFF,0xFF,0xFF,0xFF,0xC1,0xF8,0xFF,0xC0,0x3E,0x03,0xC0,0x7F,\
0xF8,0x73,0xF8,0x0F,0xF0,0x3F,0x93,0x71,0x1E,0x7F,0xFF,0xFD,0xFC,0x01,0xFF,0xFF,\
0xF8,0x01,0xFF,0xF1,0xFF,0xFF,0x03,0xF1,0xFE,0x03,0xF8,0x1F,0x03,0xFF,0xFC,0xF3,\
0xFF,0x80,0x38,0x1F,0xE8,0xBE,0x07,0x3F,0xFF,0xFE,0xFE,0x00,0xFF,0xFF,0xF8,0x01,\
0xFF,0x01,0xFF,0xFF,0x07,0xF7,0xF8,0x0F,0xE0,0xFC,0x1F,0xFC,0x00,0x0F,0xFF,0xE3,\
0xEE,0x03,0xF0,0x1F,0xF9,0xDF,0xFF,0xFF,0xFE,0x00,0xFF,0xFF,0xF8,0x01,0xFC,0x03,\
0xFF,0xFE,0x1F,0xFF,0xF0,0x1F,0xC3,0xF8,0x1C,0x00,0x00,0x03,0xFF,0xF8,0x8F,0xA4,\
0xFC,0x8F,0xFE,0xEF,0xFF,0xFF,0xFE,0x00,0x7F,0xFF,0xF8,0x01,0xF8,0x03,0xFF,0xFC,\
0x7F,0xFF,0xE4,0x3F,0x87,0xF0,0x10,0x0C,0x00,0x01,0xFF,0xFC,0x0F,0xA6,0xE6,0x5F,\
0xFE,0xE7,0xFF,0xFF,0xFF,0x00,0x7F,0xFF,0xF0,0x03,0x00,0x07,0xFF,0xF8,0x7F,0xFF,\
0x8C,0x3F,0x0F,0xA0,0x00,0x18,0x79,0xFC,0x0F,0xFF,0x43,0xC9,0x67,0x7F,0xFF,0x33,\
0xFF,0xFF,0xFF,0x80,0x7F,0xFF,0xF0,0x00,0x00,0x0F,0xFF,0xF7,0xFF,0xFF,0x3F,0xFE,\
0x3E,0x70,0x09,0x99,0xC0,0x0F,0x61,0xFF,0x61,0xF0,0x11,0xB7,0xFF,0xDD,0xFF,0xFF,\
0xFB,0xC0,0x3F,0xFF,0xF8,0x00,0x00,0x7F,0xFF,0xC3,0xFF,0xFE,0x79,0xFC,0xFC,0xF8,\
0x33,0x98,0x60,0x0C,0x70,0x7C,0x72,0xFC,0x09,0xB1,0xFF,0xEC,0x3F,0xFF,0x80,0x70,\
0x1F,0xFF,0xFF,0x00,0x01,0xFF,0xFF,0x8B,0xFF,0xFC,0xFB,0xFF,0xF8,0xFE,0x63,0xDC,\
0x60,0x17,0xFC,0x3B,0xF8,0xFF,0x0F,0x30,0xFF,0xED,0x9F,0xFF,0x80,0x70,0x0F,0xFF,\
0xFF,0x00,0x01,0xFF,0xFF,0x03,0xFF,0xFC,0xF3,0xFF,0xF8,0xFF,0xE3,0xAC,0x70,0x1F,\
0xFF,0x13,0xF8,0x7F,0x80,0x78,0xFF,0xEF,0x8F,0xFF,0x81,0x38,0x0F,0xFF,0xFE,0x00,\
0x07,0xFF,0xFF,0x07,0xFF,0xFC,0xE7,0xFF,0xF8,0xFD,0xC7,0x96,0x3F,0x2F,0xFF,0x07,\
0x78,0xFF,0xC1,0xFD,0x7F,0xE3,0xC3,0xFF,0xC0,0xDC,0x0F,0xFF,0xFC,0x00,0xBF,0xFF,\
0xFE,0x07,0xFF,0xF8,0xC7,0xFF,0xFA,0xF9,0xE5,0x89,0x81,0xC3,0x9F,0x9C,0xF8,0xFF,\
0xEF,0xFD,0xBF,0xEB,0xDB,0xFF,0xC4,0x6E,0x07,0xFF,0xF0,0x03,0xFF,0xF8,0xFE,0x0F,\
0xFF,0xFA,0x8F,0xFF,0xFB,0x73,0xFD,0xE0,0x07,0x00,0x0F,0x9F,0xF8,0xFF,0xE7,0x8D,\
0xFF,0xEC,0xA1,0xFF,0xE4,0x22,0x07,0xFF,0xE0,0x03,0xFF,0xF1,0xFC,0x0E,0xFF,0xFA,\
0xAF,0xFF,0xFB,0xB3,0xFC,0x98,0x00,0x00,0x07,0xDF,0xF1,0xFF,0xE3,0x06,0xDF,0xF6,\
0xA1,0xFF,0xF2,0x32,0x07,0xFF,0xE0,0x03,0xFF,0xF3,0xFC,0x1E,0xFF,0xFA,0x6F,0xFF,\
0xF9,0xC3,0xFC,0x04,0x00,0x00,0x07,0xDF,0xF1,0xFF,0xC3,0x02,0xDF,0xF2,0xA1,0xFF,\
0xFA,0x12,0x07,0xFF,0xE0,0x00,0xFF,0xF3,0xFD,0x3E,0xFF,0xFF,0xEF,0xFF,0xFD,0xFF,\
0xF0,0x40,0x1F,0xF0,0x07,0xDF,0xE1,0xFF,0xC2,0x00,0xDF,0xFA,0x71,0xFF,0xFA,0x03,\
0x07,0xFF,0xE0,0x00,0xFF,0xE3,0xFB,0x7E,0xF3,0xF7,0xEF,0xFF,0xFE,0xFD,0xC0,0x7F,\
0x80,0x60,0x83,0xF8,0x63,0xFF,0xC2,0x40,0x1D,0xFC,0x79,0xFF,0xFC,0x01,0x03,0xFF,\
0xE0,0x00,0xFF,0xC3,0xFB,0x7C,0xF3,0xF7,0xEF,0xFF,0xEF,0x3D,0xDC,0x38,0x3F,0x83,\
0x80,0x70,0x67,0xFF,0xC6,0x40,0x31,0xFC,0x79,0xFF,0xFE,0x01,0x03,0xFF,0xE0,0x00,\
0xFF,0xE3,0xFB,0x78,0xF3,0xF7,0xEF,0xFE,0x07,0xBE,0xD8,0x1C,0x1F,0x00,0x01,0xEC,\
0x47,0xFF,0xC6,0x64,0x30,0xFC,0x7D,0xFF,0xFE,0x01,0x03,0xFF,0xE0,0x00,0x7F,0xFF,\
0xFB,0x7C,0xF3,0xF3,0xEF,0xFC,0x79,0xCF,0xAE,0x03,0xFF,0xE0,0x03,0x98,0x8F,0xFF,\
0x8E,0xC4,0x3C,0xFE,0x7D,0xFF,0xFF,0x00,0x03,0xFF,0xE0,0x03,0xFF,0xFF,0xF3,0x7C,\
0xFB,0xFB,0xF7,0xF9,0xFE,0x33,0xE3,0xE0,0x00,0x1E,0x0E,0x72,0x18,0x7F,0x8C,0x4C,\
0x3F,0xFE,0x7F,0xFF,0xFF,0x80,0x03,0xFF,0xE0,0x1F,0xFF,0xC7,0xF3,0x7C,0xFF,0xF9,\
0xFB,0xF7,0xBF,0xC4,0x70,0x07,0xE0,0xF0,0x03,0xC0,0x00,0x2F,0x88,0x08,0x7F,0xFF,\
0x7F,0xFF,0xFF,0x80,0x03,0xFF,0xE0,0x0F,0xFF,0x81,0xF3,0x3C,0xFF,0xFD,0xFB,0xEF,\
0x8F,0xE3,0xDF,0x08,0x02,0x00,0x1E,0x07,0x00,0x03,0x88,0x10,0xFF,0xFF,0x7D,0xFF,\
0xFF,0x80,0x03,0xFF,0xE0,0x07,0xFF,0x01,0xF3,0x3C,0xFF,0xFE,0xFB,0xEF,0x81,0xF9,\
0xEF,0x80,0x00,0x00,0x3C,0x7F,0x00,0x03,0x90,0x00,0xFF,0xFF,0xFD,0xFF,0xFF,0x80,\
0x03,0xFF,0xE0,0x01,0xFF,0x01,0xF3,0x3C,0xFF,0xFE,0xFD,0xEF,0xC0,0x7C,0x10,0x78,\
0x00,0x03,0x83,0xF0,0x00,0x07,0x10,0x01,0xFF,0xFF,0xF9,0xFF,0xFF,0x00,0x03,0xFF,\
0xE0,0x00,0xFB,0x63,0xFB,0x1F,0xFC,0x0F,0x7C,0xE7,0xE0,0x0F,0xC0,0x00,0x00,0x00,\
0x70,0x00,0x00,0x0E,0x06,0x01,0xDF,0xFF,0x71,0xFF,0xFF,0x00,0x01,0xFF,0xF0,0x01,\
0xF0,0x70,0xFB,0x9F,0xF1,0xF7,0x9E,0x77,0xE0,0x03,0xE0,0x7D,0x80,0xE7,0x80,0x00,\
0x00,0x1C,0x1E,0x03,0xBF,0xFE,0x41,0xFF,0xFE,0x40,0x01,0xFF,0xF0,0x01,0xF0,0x79,\
0xF9,0x9F,0xC3,0x71,0xCF,0x33,0xF0,0x01,0xE0,0x0F,0xFF,0xF8,0x00,0x00,0x00,0x10,\
0x1E,0x07,0x1F,0xFE,0x01,0xFF,0xFE,0x40,0x01,0xFF,0xF0,0x01,0xFC,0x3B,0xF9,0x9F,\
0x0F,0xFC,0xE7,0xD9,0xF8,0x00,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x78,0x0F,\
0x1F,0x7C,0x01,0xFF,0xFF,0x60,0x01,0xFF,0xF8,0x01,0xFF,0xFF,0xFD,0xCC,0xFF,0xFE,\
0x1B,0xE4,0x7E,0x00,0x0F,0x00,0x00,0x00,0x0F,0xF0,0x00,0x80,0xF0,0x1E,0x3F,0xFC,\
0x03,0xFF,0xFF,0x20,0x01,0xFF,0xF8,0x01,0xFF,0x83,0x8E,0xED,0xFC,0x3F,0x84,0xF9,\
0x07,0xF0,0x00,0x7F,0xFC,0x7F,0xFF,0xC0,0x07,0x07,0xC0,0x70,0x3F,0xF0,0x03,0xFD,\
0xFF,0xB0,0x01,0xFF,0xF8,0x00,0x0F,0xC0,0x0F,0xFD,0xFC,0x07,0xE3,0x1E,0xE3,0xFF,\
0xFE,0x07,0xFF,0xE7,0xFF,0x00,0x38,0x1F,0x01,0xE0,0x33,0xF0,0x03,0xFF,0xFF,0xB0,\
0x03,0xFF,0xF8,0x00,0x0D,0x81,0xC3,0x75,0xFC,0x03,0xF3,0xDE,0x31,0xFF,0xFF,0xFF,\
0xEF,0xEF,0xFC,0x00,0x38,0x3F,0x01,0xC0,0x03,0xE0,0x63,0xFF,0xFF,0xB0,0x03,0xFF,\
0xFC,0x00,0x00,0x7F,0xF9,0x39,0xFE,0x00,0xFC,0xE7,0xCC,0x1F,0xE0,0x03,0xFC,0xFC,\
0x00,0x00,0x80,0xF8,0x07,0x00,0x03,0xC4,0xE7,0xF9,0xFF,0xB4,0x03,0xFF,0xFE,0x00,\
0x0F,0xFF,0xCE,0x98,0xFE,0x00,0x3C,0x1D,0xF9,0xC0,0x00,0x00,0x00,0x00,0x00,0x06,\
0x0F,0xE0,0x30,0x00,0x03,0x9F,0xEF,0xF9,0xFF,0x34,0x03,0xFF,0xFF,0x00,0x0E,0xFF,\
0xE6,0x6C,0x7F,0x00,0x0E,0x47,0x1E,0x1C,0x00,0x00,0x00,0x00,0x18,0x18,0x3F,0x80,\
0x60,0x00,0x3F,0xBF,0xDF,0xFB,0xFF,0x20,0x03,0xFF,0xFF,0x00,0x0E,0xFF,0xFF,0x6C,\
0x3F,0x00,0x07,0xE3,0xCF,0x8F,0x00,0x00,0x00,0x00,0x00,0x30,0xFF,0x00,0xC0,0x00,\
0x3F,0x7F,0xDF,0xFB,0xFF,0x20,0x03,0xFF,0xFF,0x80,0x0F,0x7E,0xFB,0x06,0x1F,0x00,\
0x03,0xF0,0xF3,0xF8,0x3F,0x00,0x1C,0x00,0x03,0x0F,0xF0,0x0F,0x80,0x00,0x7E,0x7F,\
0xBF,0xFB,0xFF,0x00,0x07,0xFF,0xFF,0xC0,0x07,0x7F,0xFD,0x8B,0xA7,0xC0,0x00,0x3E,\
0x0E,0x1F,0xF0,0x00,0x0F,0x80,0x01,0xFF,0x0F,0xF8,0x00,0x00,0x79,0xFF,0x7F,0xF3,\
0xFE,0x40,0x07,0xFF,0xFF,0xE0,0x03,0xBF,0xFF,0xC5,0xE3,0xF0,0x00,0x0F,0xC1,0xF0,\
0x3F,0xFF,0xC0,0x0F,0xFF,0xC3,0xF0,0x00,0x00,0x01,0xE3,0xFE,0xFE,0x03,0xFE,0x00,\
0x07,0xFF,0xFF,0xE0,0x03,0x8F,0x1E,0xF2,0x71,0xF8,0x00,0x01,0xE0,0x1F,0xC0,0x7F,\
0xFF,0xFF,0xE0,0x3F,0xC0,0x00,0x00,0x03,0xCF,0xFD,0xFC,0x03,0xFE,0x00,0x0F,0xFF,\
0xFF,0xE0,0x01,0xC7,0x0E,0x71,0x78,0x7C,0x00,0x00,0xFE,0x07,0xF8,0x03,0xFF,0xF8,\
0x03,0xFE,0x00,0x00,0x00,0x0F,0x9F,0xF1,0xF8,0x07,0xFE,0x00,0x0F,0xFF,0xFF,0xC0,\
0x00,0xF0,0x07,0x38,0x1C,0x1F,0x00,0x00,0x1F,0xC0,0x1F,0xC0,0x00,0x07,0xFF,0x80,\
0x40,0x00,0x00,0x3E,0x3F,0xE7,0xE0,0x1F,0xFC,0x00,0x1F,0xFF,0xFF,0xE0,0x00,0x7C,\
0x00,0x0E,0x26,0x07,0xE0,0x00,0x03,0xFF,0x80,0x3F,0x00,0x00,0x00,0x00,0x00,0x00,\
0x03,0xF1,0xFF,0x9E,0x40,0x3E,0x7C,0x00,0x3F,0xFF,0xFF,0xE0,0x00,0x3E,0x00,0x07,\
0x09,0xC1,0xFC,0x00,0x00,0x3F,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x87,\
0xFF,0x38,0x00,0xF8,0x38,0x00,0x7F,0xFF,0xFF,0xF0,0x00,0x3F,0x30,0x03,0x86,0xF2,\
0x7F,0x80,0x00,0x0E,0x00,0x00,0x00,0x38,0x00,0x00,0x00,0x00,0x3F,0x1F,0xFE,0xF0,\
0x00,0xE0,0xF8,0x00,0x7F,0xFF,0xFF,0xF0,0x00,0x1F,0x20,0x03,0xC6,0x78,0x1F,0xE0,\
0x00,0x0F,0x00,0x00,0x07,0xF0,0x00,0x00,0x00,0x80,0x7C,0x3F,0xFC,0xE0,0x00,0xE1,\
0xE0,0x00,0xFF,0xFF,0xFF,0xF8,0x00,0x07,0x00,0x00,0xF1,0x0E,0x07,0xFE,0x00,0x0F,\
0x81,0xFC,0x03,0xCF,0x00,0x00,0x00,0x00,0xE0,0x7F,0xF1,0xC0,0x00,0xC1,0xC0,0x00,\
0xFF,0xFF,0xFF,0xFC,0x00,0x03,0x00,0x00,0x38,0x63,0x80,0x7F,0xF8,0x7E,0x07,0x1F,\
0xF0,0x3F,0xC0,0x00,0x00,0x03,0x07,0xFF,0xCF,0x00,0x00,0x83,0x80,0x01,0xFF,0xFF,\
0xFF,0xFC,0x00,0x03,0x80,0x00,0x0E,0x38,0xF1,0x07,0xFF,0xFC,0x03,0x87,0xF8,0x03,\
0xE0,0x00,0x00,0x1F,0x1F,0xFF,0x9C,0x00,0x00,0x07,0x00,0x01,0xFF,0xFF,0xFF,0xFE,\
0x00,0x03,0x80,0x00,0x07,0x0E,0x78,0x00,0xCF,0xF8,0x01,0xFF,0xF8,0x00,0x80,0x00,\
0x00,0x7E,0x3F,0xFF,0x30,0x00,0x00,0x0F,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0x00,0x01,\
0xC0,0x00,0x01,0xC3,0x07,0x80,0x0F,0xE0,0x00,0x30,0x00,0x00,0x00,0x00,0x03,0xE1,\
0xFF,0xFC,0x60,0x00,0x00,0x1E,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0xE0,0x00,\
0x00,0x78,0xF0,0xF8,0x00,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x1F,0xFE,0x01,\
0x80,0x00,0x00,0x18,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xE0,0x00,0x38,0x00,0x00,0x0E,\
0x1E,0x0F,0xC0,0x02,0x00,0x00,0x00,0x00,0x00,0x0F,0x81,0xFF,0xC0,0x06,0x00,0x00,\
0x00,0xE0,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x0E,0x00,0x00,0x03,0x87,0xF0,\
0xFE,0x07,0xFF,0x00,0x00,0x00,0x3F,0xF8,0x3F,0xF0,0x00,0x30,0x00,0x00,0x02,0xC0,\
0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x07,0x00,0x00,0x00,0xE1,0xFC,0x3F,0x80,\
0x1F,0xE0,0x00,0x00,0x7C,0x00,0xFF,0xC0,0xF0,0x40,0x00,0x00,0x07,0x80,0x00,0x3F,\
0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x01,0xC0,0x00,0x00,0x38,0x0F,0x81,0xFE,0x00,0x06,\
0x1C,0x00,0x00,0xFF,0xF8,0x1F,0xE1,0x80,0x00,0x00,0x03,0x00,0x00,0x7F,0xFF,0xFF,\
0xFF,0xFF,0xFE,0x00,0x00,0x78,0x00,0x00,0x07,0xC0,0x1E,0x03,0xFF,0xE0,0x00,0xFF,\
0xFF,0xFC,0x07,0xC3,0xE0,0x00,0x00,0x00,0x1C,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0x00,0x00,0x1C,0x00,0x00,0x01,0xFF,0x03,0xFC,0x01,0xFF,0xFF,0xFF,0xF8,0x00,\
0x60,0x19,0xC0,0x00,0x00,0x00,0x10,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,\
0x00,0x0E,0x00,0x00,0x00,0xFF,0xC0,0x1F,0xE0,0x07,0xFF,0xFF,0x00,0x3F,0xE0,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0x00,0x03,\
0x80,0x00,0x00,0x1F,0xF8,0x00,0x7F,0xFC,0x00,0x00,0x7F,0xFF,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,0x00,0xFE,0x00,\
0x00,0x07,0xFC,0x00,0x00,0x3F,0xFF,0x00,0x00,0x00,0x00,0x01,0xC0,0x00,0x00,0x00,\
0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0xF0,0x00,0x03,\
0xFF,0xC7,0xC0,0x00,0x00,0xC0,0x00,0x00,0x00,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,\
0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x1C,0x78,0x00,0xFF,0xE0,\
0x38,0x30,0x07,0x80,0x00,0x00,0x00,0x0F,0x00,0x00,0x00,0x30,0x00,0x00,0x7F,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x0F,0xFC,0x0F,0xFF,0xFE,0x00,0x00,\
0x02,0x00,0x70,0x38,0x00,0x0F,0x80,0x00,0x00,0x20,0x00,0x00,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xC0,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xC0,0x00,0x00,0x07,\
0x1F,0xFF,0x80,0x07,0x80,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xF8,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x1C,0x5F,0xFC,\
0x06,0x03,0x80,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFE,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x1E,0x1E,0x00,0x3E,0x03,\
0x80,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0x00,\
0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xC0,0x00,0x00,0x0F,0xF8,0x00,0x70,0x03,0x80,0x00,\
0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0x00,0x00,\
0x00,0x1F,0xFF,0xFF,0xC0,0x00,0x00,0x0F,0xC0,0x00,0xE0,0x03,0x00,0x00,0x00,0x00,\
0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x00,0x00,\
0x3F,0xFF,0xE0,0x00,0x00,0x00,0x00,0x1F,0x80,0x87,0x00,0x00,0x00,0x00,0x03,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x00,0x00,0x00,0x00,0x01,0xFF,\
0xF8,0x00,0x00,0x00,0x30,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE7,0xE0,0x00,0x00,0x00,0x00,0x07,0xFC,0x00,\
0x7F,0xE0,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xF3,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xF3,\
0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFE,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xE0,\
0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0x8F,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,\
0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0x00,0x00,0x00,0x00,0x07,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xE0,0x00,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x06,0x0F,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x3F,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x00,0x00,0x00,\
0x00,0x01,0xFE,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF})


#define pic_89 (( __attribute__ ((aligned(2))) const unsigned char[4000]){\
0x00,0x00,0x00,0x03,0x7F,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x1F,0x80,0x00,0x00,0x0F,0xC0,0x60,0xFC,0x00,0x00,0x00,\
0x00,0x00,0x07,0x01,0xFC,0x07,0xFF,0xFF,0xE0,0x10,0xC0,0x00,0x00,0x08,0x41,0xF1,0x84,0x00,0x00,0x00,\
0x00,0x00,0x1F,0x01,0xFC,0x07,0xFF,0xFF,0xFF,0xF0,0xFF,0xF0,0x00,0x08,0x63,0x31,0x84,0x00,0x00,0x00,\
0x00,0x00,0x3F,0x01,0xFC,0x07,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0x00,0x08,0x66,0x31,0x84,0x00,0x00,0x00,\
0x00,0x00,0xFF,0x00,0xF8,0x07,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xF0,0x0C,0x44,0x31,0x84,0x00,0x00,0x00,\
0x00,0x03,0xFF,0x00,0xF8,0x07,0xFF,0xFF,0x0F,0xF0,0xC1,0xFC,0x3F,0x8F,0xCC,0x3D,0x84,0x00,0x00,0x00,\
0x00,0x03,0xFF,0x00,0xF8,0x87,0xF0,0x1F,0xFC,0x30,0xFF,0x0E,0x00,0x3C,0x58,0x07,0x84,0x00,0x00,0x00,\
0x00,0x03,0xFF,0x08,0xF0,0x87,0xC0,0x07,0xF0,0x00,0xFC,0x01,0x80,0x08,0x70,0x06,0x84,0x00,0x00,0x00,\
0x00,0x03,0xFF,0x08,0x70,0x87,0x80,0x07,0xE0,0x00,0xF8,0x00,0xF8,0x08,0x70,0x06,0x84,0x00,0x00,0x00,\
0x00,0x07,0xFF,0x08,0x70,0x87,0x87,0x83,0xC1,0xC0,0xD0,0x70,0xFF,0x88,0x78,0x04,0x84,0x00,0x00,0x00,\
0x00,0x0F,0xFF,0x0C,0x71,0x87,0xCF,0xC2,0xC3,0xF0,0xF0,0xD8,0x4F,0xF8,0x6C,0x3C,0x84,0x00,0x00,0x00,\
0x00,0x1F,0xFF,0x0C,0x21,0x87,0xFF,0xC3,0x83,0xF0,0xE1,0xF8,0x40,0x78,0x64,0x30,0x84,0x00,0x00,0x00,\
0x00,0x1F,0xFF,0x0C,0x21,0x87,0xFC,0x03,0x82,0x10,0xE1,0xF8,0x60,0x08,0x64,0x30,0x8C,0x00,0x00,0x00,\
0x00,0x1F,0xFF,0x0C,0x21,0x87,0xC0,0x02,0x87,0xF0,0xE0,0x00,0x60,0x08,0x7C,0x38,0xCC,0x00,0x00,0x00,\
0x00,0x3F,0xFF,0x0E,0x23,0x87,0x80,0xC3,0x86,0x10,0xE0,0x00,0x60,0x08,0x6C,0x30,0xCC,0x00,0x00,0x00,\
0x00,0x3F,0xFF,0x0E,0x03,0x87,0x07,0xC2,0x82,0x30,0xE1,0xFF,0xE0,0x08,0x64,0x30,0xC8,0x00,0x00,0x00,\
0x00,0x3F,0xFF,0x0E,0x03,0x87,0x0F,0xC2,0xC3,0xF0,0xE0,0xCB,0xC0,0x08,0x7C,0x38,0xFC,0xC0,0x00,0x00,\
0x00,0x7F,0xFF,0x0E,0x07,0x87,0x0F,0x83,0xC1,0xE0,0xF0,0xF8,0x40,0x08,0x44,0x1E,0x87,0xE0,0x00,0x00,\
0x00,0x7F,0xFF,0x0F,0x07,0x85,0x02,0x02,0x40,0x00,0xD0,0x00,0xC0,0x08,0x64,0x07,0x87,0xF0,0x00,0x00,\
0x00,0xFF,0xFF,0x0F,0x07,0x87,0x80,0x03,0x60,0x08,0xF8,0x00,0xF0,0x08,0x76,0x07,0x87,0xFC,0x00,0x00,\
0x00,0xFF,0xFF,0x0F,0x07,0x87,0xC0,0x43,0x78,0x18,0xCE,0x03,0x06,0x08,0x4E,0x07,0x87,0xFE,0x00,0x00,\
0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC3,0xFE,0x01,0x8F,0xE3,0xFF,0xFF,0xFF,0x00,0x00,\
0x01,0xFF,0xFF,0xFF,0xFD,0xFF,0xFE,0x1F,0x07,0xFF,0xFC,0x61,0x80,0x60,0x18,0xFF,0xFF,0xFF,0x00,0x00,\
0x01,0xFF,0xFF,0xFF,0xFB,0xFF,0xF0,0x78,0x7C,0x00,0x03,0xC0,0x20,0x18,0x44,0x2F,0xFF,0xFF,0x80,0x00,\
0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xE3,0xE0,0x00,0x00,0x30,0x0C,0x04,0x70,0x1F,0xFF,0xFF,0xC0,0x00,\
0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x8F,0x80,0x00,0x00,0x0C,0x82,0x03,0x7F,0x0F,0xFF,0xFF,0xE0,0x00,\
0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x3F,0x00,0x0E,0x00,0x03,0xF9,0x81,0xFF,0xC7,0xFF,0xFF,0xE0,0x00,\
0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x7F,0x00,0xF8,0x00,0x00,0x9E,0x40,0xFF,0xE3,0xFF,0xFF,0xF0,0x00,\
0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFF,0x1B,0xC0,0x02,0x00,0x4F,0x20,0x7F,0xF1,0xFF,0xFF,0xF8,0x00,\
0x01,0xD3,0xFF,0xFF,0xFF,0xFF,0xFB,0xFF,0xFF,0xC0,0x03,0x80,0x67,0x90,0x7F,0xF9,0xFF,0xFF,0xF8,0x00,\
0x01,0xB7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xC0,0x07,0xE0,0xF7,0xC8,0x3F,0xFC,0xFF,0xFF,0xFC,0x00,\
0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xEC,0xC0,0x1F,0xF1,0xF7,0xFC,0xF7,0xFF,0xDF,0xFA,0x7C,0x00,\
0x03,0xFF,0xFF,0xFF,0xFF,0xDF,0xFF,0x9F,0xDE,0x60,0x1F,0xFF,0xF7,0xFF,0xF3,0xFF,0xCF,0xF9,0x3E,0x00,\
0x07,0xFF,0xFF,0xFF,0xFF,0xDF,0xFF,0x9F,0xD9,0x38,0x2F,0xF7,0xFF,0xFF,0xF9,0xFD,0xEF,0xFD,0x9E,0x00,\
0x07,0xFF,0xFF,0xC7,0xFF,0x97,0xFF,0x9D,0xF8,0x00,0x39,0xFF,0xFF,0xFF,0xF9,0xFC,0xEF,0xFC,0x8E,0x00,\
0x0F,0xFF,0xFF,0xCF,0xFF,0x97,0xFF,0xCD,0xF8,0x04,0x81,0xFF,0xFF,0xFB,0xF9,0xFC,0xF7,0xFC,0xCE,0x00,\
0x0F,0xFF,0xFF,0xCF,0xFF,0x87,0xFF,0xC1,0xFC,0x00,0x0F,0xFF,0xFF,0xF9,0xF9,0xFE,0xF7,0xFE,0x4E,0x00,\
0x0F,0xFF,0xFF,0x8F,0xFF,0x87,0xFF,0xE1,0xC0,0x00,0x1F,0x7E,0xFF,0xFB,0xF9,0xFE,0x7F,0xFF,0x6F,0x00,\
0x0F,0xFF,0xFF,0x9F,0xFF,0x87,0xFF,0xF0,0xC0,0x00,0x7E,0x7C,0xFF,0xFB,0xF9,0xFF,0x7F,0xFF,0x87,0x00,\
0x0F,0xFF,0xFF,0x9F,0xFF,0x87,0xF8,0x38,0x40,0x00,0x00,0x79,0xFF,0xFB,0xFB,0xFF,0x7F,0xFF,0xC7,0x00,\
0x0F,0xFF,0xFF,0x9F,0xFF,0x83,0xF0,0x0C,0x30,0x00,0x01,0xE3,0xFF,0xFB,0xFB,0xFF,0xFF,0xFF,0xE7,0x00,\
0x0F,0xFF,0xFF,0x9F,0xFF,0xC3,0xE0,0x07,0x08,0x00,0x03,0x87,0xFF,0xFF,0xF3,0xFF,0xFF,0xFF,0xE3,0x00,\
0x0F,0xFF,0xFF,0x9F,0xFF,0xC1,0xE0,0x01,0xC1,0xF8,0xFC,0x1F,0xFF,0xFE,0x37,0xFF,0xFF,0xFF,0xC3,0x80,\
0x0F,0xFF,0xFF,0x8F,0xFF,0xE1,0xE0,0x00,0x78,0x00,0x00,0xFF,0x3F,0xFE,0x6F,0xFF,0xFF,0xFF,0xD3,0x80,\
0x0F,0xFF,0xFF,0x8F,0xFD,0xF0,0xE0,0x00,0x1F,0x80,0x0F,0xDC,0x0F,0xFC,0x6F,0xFF,0xFF,0xFF,0x9B,0x80,\
0x07,0xFF,0xFF,0x8F,0xE0,0xF8,0x60,0x00,0x0F,0xFF,0xFE,0x30,0x13,0xF0,0x5F,0xFF,0xFF,0xFF,0x99,0x80,\
0x07,0xFF,0xFF,0x8F,0xC0,0x38,0x30,0x00,0x00,0xFF,0xF0,0xC0,0x07,0xE0,0xBF,0xFF,0xFF,0xFF,0x81,0x80,\
0x07,0xFF,0xFF,0xC7,0x00,0x0E,0x18,0x00,0x00,0x00,0xC0,0x00,0x0F,0xC1,0xFF,0xFF,0xEF,0xFF,0x83,0x80,\
0x07,0xFF,0xFF,0xC6,0x00,0x07,0x0E,0x00,0x00,0x00,0x00,0x00,0x7F,0x03,0xFF,0xFF,0x8F,0xFF,0xC3,0x00,\
0x03,0xFF,0xE0,0xE6,0x00,0x03,0x83,0x00,0x00,0x00,0x00,0x01,0xFE,0x0F,0xFF,0xFC,0x0F,0xFF,0xC3,0x00,\
0x03,0xFC,0x00,0x72,0x00,0x00,0xE1,0xE0,0x00,0x00,0x00,0x3F,0xF0,0x3F,0xFF,0xF8,0x0F,0xFF,0xC3,0x00,\
0x03,0xF0,0x00,0x11,0x00,0x00,0x38,0x38,0x00,0x01,0x80,0xC3,0xC0,0x7F,0xBF,0xF8,0x1F,0xFF,0x87,0x00,\
0x01,0xF0,0x00,0x19,0x80,0x00,0x1E,0x0F,0xC0,0xFE,0xF8,0x1F,0x01,0xFE,0x3F,0xF0,0x3F,0xFF,0x87,0x00,\
0x00,0xF0,0x00,0x0C,0xC0,0x00,0x07,0x80,0xFF,0xFF,0x9F,0xF8,0x0F,0xFC,0x7F,0xE0,0x3F,0xFF,0x86,0x00,\
0x00,0x78,0x00,0x04,0x40,0x00,0x01,0xF0,0x07,0xFF,0xFF,0x80,0x7F,0xF0,0x0F,0xC0,0x7F,0xFF,0x86,0x00,\
0x00,0x78,0x00,0x06,0x20,0x00,0x00,0x7E,0x00,0x00,0x00,0x03,0xFF,0xC0,0x1F,0x80,0xFF,0xFF,0x86,0x00,\
0x00,0x3C,0x00,0x03,0x18,0x00,0x00,0x0F,0xF8,0x00,0x00,0x7F,0xC7,0x00,0x7F,0x01,0xFF,0xFF,0x0C,0x00,\
0x00,0x1E,0x00,0x00,0xC4,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFE,0x0E,0x01,0xFC,0x03,0xFF,0xFF,0x0C,0x00,\
0x00,0x3F,0x00,0x00,0x62,0x00,0x00,0x00,0x0F,0xFF,0xFE,0x40,0x38,0x07,0xF0,0x07,0xFF,0xFF,0x18,0x00,\
0x00,0x1F,0x80,0x00,0x31,0x80,0x00,0x00,0x1F,0xE0,0x0E,0x01,0xF0,0x1F,0xE0,0x0F,0xFF,0xFF,0x30,0x00,\
0x00,0x3F,0x80,0x00,0x18,0x60,0x00,0x00,0x00,0x07,0xFC,0x07,0xCF,0xFF,0xC0,0x1F,0xFF,0xFE,0x70,0x00,\
0x00,0x1F,0xC0,0x00,0x0E,0x18,0x00,0x00,0x00,0x07,0xC0,0x03,0xFE,0x3F,0x00,0x7F,0xFF,0xFC,0x60,0x00,\
0x00,0x07,0xE0,0x00,0x07,0x86,0x00,0x00,0x00,0x01,0x00,0x03,0x80,0x78,0x00,0xFF,0xFF,0xF8,0xE0,0x00,\
0x00,0x07,0xE0,0x00,0x03,0xE1,0xC0,0x00,0x00,0x00,0xC0,0x00,0x03,0xF0,0x01,0xFC,0x7F,0xF1,0xC0,0x00,\
0x00,0x03,0xF0,0x00,0x00,0xF8,0x38,0x00,0x00,0x00,0x7F,0xC0,0x1F,0xC0,0x03,0xE0,0x7F,0xE1,0x80,0x00,\
0x00,0x01,0xF0,0x00,0x00,0x3E,0x07,0x03,0xF8,0x3F,0x3E,0x88,0xFE,0x00,0x0F,0x90,0x7F,0xE3,0x00,0x00,\
0x00,0x00,0xF8,0x00,0x00,0x1F,0xC0,0xFB,0xFF,0xFF,0xFF,0xFF,0xF0,0x01,0xFF,0x38,0xFF,0x86,0x00,0x00,\
0x00,0x00,0x7C,0x00,0x00,0x07,0xF8,0x07,0xFF,0xFF,0xFF,0xFE,0x00,0x3E,0xF8,0x71,0xFF,0x06,0x00,0x00,\
0x00,0x00,0x1F,0x00,0x00,0x00,0xFF,0x00,0x1F,0xFF,0xFF,0x00,0x03,0xFF,0xE0,0x21,0xFE,0x08,0x00,0x00,\
0x00,0x00,0x1F,0xC0,0x00,0x00,0x07,0xFC,0x00,0x00,0x00,0x00,0x7F,0xFF,0xC1,0x81,0xFC,0x18,0x00,0x00,\
0x00,0x00,0x0F,0xE0,0x00,0x00,0x00,0xFF,0xE0,0x00,0x00,0x1F,0xFF,0xF9,0x00,0x03,0xF8,0x30,0x00,0x00,\
0x00,0x00,0x07,0xF8,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0x03,0x00,0x03,0xE0,0x40,0x00,0x00,\
0x00,0x00,0x01,0xFE,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xFF,0xFC,0x87,0x00,0x07,0xC0,0x80,0x00,0x00,\
0x00,0x00,0x00,0x9F,0xC0,0x00,0x00,0x00,0x00,0x3F,0xF0,0x00,0x01,0x07,0x00,0x0F,0x02,0x00,0x00,0x00,\
0x00,0x00,0x00,0x4F,0xFC,0x00,0x00,0x00,0x00,0x0F,0xC7,0xFF,0x03,0x07,0x00,0x1E,0x04,0x00,0x00,0x00,\
0x00,0x00,0x00,0x07,0xFF,0x00,0x00,0x00,0x00,0xFE,0x3F,0xFF,0xC1,0x07,0x00,0x78,0x18,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x7F,0x80,0x00,0x00,0x00,0x78,0x79,0xFF,0xB8,0x87,0x03,0xF0,0x30,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x0F,0xC0,0x00,0x00,0x00,0x30,0xFF,0xFC,0xFC,0x0F,0x07,0xC3,0xE0,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x0F,0xF0,0x00,0x00,0x0F,0xFC,0x3F,0x9F,0xFE,0x0F,0x1F,0x1E,0x80,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x09,0xFF,0x80,0x00,0x07,0xFC,0x00,0xFF,0xFE,0x0F,0xFF,0xF0,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x0F,0xFF,0xFC,0x00,0x01,0xFF,0xE3,0xFF,0xFE,0x0F,0xFF,0xC0,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xC0,0x00,0x3F,0xFF,0xFF,0xFF,0x3F,0xFE,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x1F,0xFF,0xFE,0x03,0x1F,0xFF,0xFF,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xF9,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xDF,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x82,0x7F,0xFF,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,\
\
0xFF,0xFF,0xFF,0xFC,0x80,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x07,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,0x00,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xE0,0x00,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xF9,0xFE,0x07,0xFC,0x00,0x00,0x0F,0xEF,0xFF,0xFF,0xFF,0xF7,0xFF,0x9F,0xFB,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xF9,0x81,0x04,0x0C,0x00,0x00,0x1F,0xF8,0x3F,0xFF,0xFF,0xFC,0x3E,0xCE,0x07,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xE1,0x81,0x04,0x0C,0x00,0x00,0x00,0x18,0x00,0x0F,0xFD,0xFC,0x1F,0x8E,0x07,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xC1,0x81,0x08,0x0C,0x00,0x00,0x00,0x18,0x40,0x00,0xFC,0x7C,0x18,0x0E,0x07,0xFF,0xFF,0xFF,\
0xFF,0xFF,0x01,0x81,0x8C,0x0C,0x00,0x00,0x00,0x18,0x00,0x00,0x0F,0x8B,0xFE,0x0E,0x07,0xFF,0xFF,0xFF,\
0xFF,0xFC,0x01,0x80,0x88,0x0C,0x1F,0xE0,0xF3,0xD8,0x3E,0xF3,0xC0,0x77,0xB6,0x12,0x07,0xFF,0xFF,0xFF,\
0xFF,0xFC,0x01,0x88,0x88,0x0C,0x3F,0xF8,0x1B,0xF8,0x02,0xF7,0x7F,0xCB,0xE4,0x3C,0x87,0xFF,0xFF,0xFF,\
0xFF,0xFC,0x01,0x80,0x58,0x8C,0x60,0x0C,0x30,0x18,0x0C,0x03,0x78,0xFC,0x58,0x01,0x87,0xFF,0xFF,0xFF,\
0xFF,0xFC,0x01,0x88,0xD0,0x8C,0xC0,0x04,0x20,0x00,0x18,0x01,0x87,0xFC,0x18,0x01,0x8F,0xFF,0xFF,0xFF,\
0xFF,0xF8,0x01,0x8C,0x51,0x8C,0x87,0x86,0x40,0xE0,0x30,0xA0,0xC0,0x7C,0x04,0x3F,0x8F,0xFF,0xFF,0xFF,\
0xFF,0xF0,0x01,0x88,0x71,0x8C,0xA4,0xC7,0x01,0x20,0x01,0xA0,0x70,0x0C,0x16,0x13,0xC8,0xFF,0xFF,0xFF,\
0xFF,0xE0,0x01,0x8C,0x71,0x8C,0x7F,0x86,0xC2,0x10,0x30,0x8C,0x7F,0x8C,0x1E,0x0F,0xCB,0xFF,0xFF,0xFF,\
0xFF,0xE0,0x01,0x8C,0x21,0x8C,0x3A,0x06,0xC5,0xF8,0x20,0x00,0x1B,0xFC,0x5E,0x0F,0xC3,0xFF,0xFF,0xFF,\
0xFF,0xE0,0x01,0x8E,0x23,0x8C,0xE0,0x07,0xC0,0x18,0x20,0x00,0x1F,0x7C,0x46,0x15,0x03,0xBF,0xFF,0xFF,\
0xFF,0xC0,0x01,0x8E,0x00,0x8C,0x81,0x06,0xC1,0xF8,0x20,0xFF,0x9F,0xFC,0x16,0x0E,0x03,0xFF,0xFF,0xFF,\
0xFF,0xC0,0x01,0x8A,0x02,0x8D,0x8F,0xC7,0xC7,0xD0,0x20,0xFF,0xDF,0xFC,0x1E,0x0B,0x7F,0xFF,0xFF,0xFF,\
0xFF,0xC0,0x01,0x8A,0x06,0x8D,0x08,0x87,0x02,0x30,0x31,0xBC,0xFF,0xFC,0x06,0x17,0xFB,0x3F,0xFF,0xFF,\
0xFF,0x80,0x01,0x8B,0x02,0x8D,0x07,0x86,0x43,0xE0,0x00,0xF0,0x67,0xFC,0x3E,0x3D,0x7C,0x1F,0xFF,0xFF,\
0xFF,0x80,0x01,0x89,0x04,0x8F,0x85,0x03,0xE0,0xC0,0x38,0x70,0x70,0xFC,0x52,0x04,0x84,0x0F,0xFF,0xFF,\
0xFF,0x00,0x01,0x89,0x04,0x8C,0x80,0x02,0xB0,0x00,0x08,0x01,0x8F,0xFC,0x08,0x00,0x84,0x03,0xFF,0xFF,\
0xFF,0x00,0x01,0x89,0x8C,0x8C,0x60,0xE0,0x90,0x30,0x34,0x01,0xB9,0xFC,0x33,0x00,0x84,0x01,0xFF,0xFF,\
0xFF,0x00,0x01,0xF9,0xF8,0xF8,0x3F,0xBE,0x04,0x6F,0xBD,0xBD,0xA6,0x7F,0xDD,0xBC,0xFC,0x00,0xFF,0xFF,\
0xFE,0x00,0x00,0x00,0x02,0x00,0x01,0xE0,0xF8,0x00,0x03,0x9E,0x71,0x99,0xA5,0x00,0x00,0x00,0xFF,0xFF,\
0xFE,0x00,0x00,0x00,0x04,0x00,0x0F,0x87,0x83,0xFF,0xFC,0x31,0xDC,0x64,0xAA,0xD0,0x00,0x00,0x7F,0xFF,\
0xFE,0x00,0x00,0x00,0x00,0x00,0x10,0x1C,0x1F,0x9C,0x3D,0xCE,0x33,0x3B,0x8F,0xE0,0x00,0x00,0x3F,0xFF,\
0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x70,0x7F,0x8C,0x7F,0xF3,0x7D,0xBC,0x80,0xD0,0x00,0x00,0x1F,0xFF,\
0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0xFF,0xF1,0xFF,0xFC,0x06,0x7E,0x00,0x28,0x00,0x00,0x1F,0xFF,\
0xFC,0x00,0x00,0x00,0x00,0x00,0x01,0x80,0xFF,0x07,0xFF,0xFF,0x61,0xB1,0x00,0x14,0x00,0x00,0x0F,0xFF,\
0xFC,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0xE4,0x3C,0xFD,0xFF,0xB0,0xD0,0x80,0x0A,0x00,0x00,0x07,0xFF,\
0xFE,0x2C,0x00,0x00,0x00,0x00,0x04,0x00,0x00,0x30,0x04,0x7C,0x98,0x68,0x80,0x04,0x00,0x00,0x07,0xFF,\
0xFE,0x48,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x30,0x18,0x1B,0x08,0x34,0x40,0x03,0x00,0x00,0x03,0xFF,\
0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x13,0x38,0x00,0x0E,0x08,0x03,0x08,0x00,0x20,0x05,0x83,0xFF,\
0xFC,0x00,0x00,0x00,0x00,0x20,0x00,0x60,0x21,0x9E,0x20,0x00,0x08,0x00,0x0C,0x00,0x30,0x06,0xC1,0xFF,\
0xF8,0x00,0x00,0x00,0x00,0x20,0x00,0x60,0x26,0xC7,0xD0,0x08,0x00,0x00,0x06,0x02,0x10,0x02,0x61,0xFF,\
0xF8,0x00,0x00,0x38,0x00,0x68,0x00,0x42,0x05,0xFF,0xC6,0x00,0x00,0x00,0x04,0x03,0x10,0x03,0x71,0xFF,\
0xF0,0x00,0x00,0x30,0x00,0x68,0x00,0x32,0x04,0x7B,0x7E,0x00,0x00,0x04,0x06,0x03,0x08,0x03,0x31,0xFF,\
0xF0,0x00,0x00,0x30,0x00,0x78,0x00,0x26,0x02,0x00,0x30,0x00,0x00,0x06,0x06,0x01,0x08,0x01,0xB1,0xFF,\
0xF0,0x00,0x00,0x50,0x00,0x68,0x00,0x1A,0x3F,0x80,0x20,0x81,0x00,0x04,0x06,0x01,0x80,0x00,0x90,0xFF,\
0xF0,0x00,0x00,0x40,0x00,0x78,0x00,0x09,0x00,0xFF,0x81,0x83,0x00,0x04,0x06,0x00,0x80,0x00,0x78,0xFF,\
0xF0,0x00,0x00,0x60,0x00,0x78,0x06,0xC4,0xB0,0x1E,0xFF,0x86,0x00,0x04,0x04,0x00,0x80,0x00,0x38,0xFF,\
0xF0,0x00,0x00,0x60,0x00,0x7C,0x0D,0xF3,0x4C,0x00,0x1E,0x1C,0x00,0x04,0x04,0x00,0x00,0x00,0x18,0xFF,\
0xF0,0x00,0x00,0x60,0x00,0x3C,0x18,0xF8,0x97,0xC0,0x3C,0x78,0x00,0x00,0x0C,0x00,0x00,0x00,0x1C,0xFF,\
0xF0,0x00,0x00,0x60,0x00,0x2E,0x18,0x1E,0x3E,0x07,0x03,0xE0,0x00,0x01,0xC8,0x00,0x00,0x00,0x3C,0x7F,\
0xF0,0x00,0x00,0x70,0x00,0x12,0x1C,0x0F,0x87,0xFF,0xFF,0x00,0xC0,0x01,0x90,0x00,0x00,0x00,0x2C,0x7F,\
0xF0,0x00,0x00,0x70,0x02,0x0D,0x1C,0x03,0xE0,0x7F,0xF0,0x23,0xF0,0x03,0x90,0x00,0x00,0x00,0x64,0x7F,\
0xF8,0x00,0x00,0x70,0x19,0x04,0x9E,0x00,0xF0,0x00,0x01,0xCF,0xEC,0x0F,0xA0,0x00,0x00,0x00,0x66,0x7F,\
0xF8,0x00,0x00,0x70,0x3A,0xC6,0xCF,0x00,0x7F,0x00,0x0F,0x3F,0xF8,0x1F,0x40,0x00,0x00,0x00,0x7E,0x7F,\
0xF8,0x00,0x00,0x38,0x93,0x71,0x27,0xC0,0x0F,0xFF,0x3F,0xFF,0xF0,0x3E,0x00,0x00,0x10,0x00,0x7C,0x7F,\
0xF8,0x00,0x00,0x29,0x30,0xF8,0x91,0xF0,0x00,0xFF,0xFF,0xFF,0x80,0xFC,0x00,0x00,0x70,0x00,0x3C,0xFF,\
0xFC,0x00,0x1F,0x11,0x30,0x1C,0x6C,0xFF,0xF8,0x01,0xC3,0xFE,0x01,0xF0,0x00,0x03,0xF0,0x00,0x3C,0xFF,\
0xFC,0x03,0xF1,0x85,0x90,0x0F,0x12,0x1F,0xFF,0xFF,0xBF,0xC0,0x0E,0xC0,0x00,0x07,0xF0,0x00,0x3C,0xFF,\
0xFC,0x0E,0x06,0x6A,0x88,0x07,0xC4,0xC7,0xFF,0xFE,0x7F,0x3C,0x3B,0x80,0x40,0x07,0xE0,0x00,0x78,0xFF,\
0xFE,0x0E,0x72,0x24,0x40,0x03,0xE1,0xB0,0x3F,0x01,0x07,0xE0,0xEE,0x01,0xC0,0x0F,0xC0,0x00,0x78,0xFF,\
0xDF,0x0E,0x73,0x33,0x30,0x00,0xF8,0x77,0x00,0x00,0x60,0x07,0x70,0x03,0x80,0x1F,0xC0,0x00,0x79,0xFF,\
0xE7,0x87,0x31,0x9A,0xBC,0x00,0x3E,0x0F,0xF8,0x00,0x00,0x73,0x80,0x0F,0xF0,0x3F,0x80,0x00,0x79,0xFF,\
0xF3,0x87,0x10,0x99,0x5E,0x00,0x0F,0x81,0xFF,0xFF,0xFF,0x7C,0x00,0x3F,0xE0,0x7F,0x00,0x00,0x79,0xFF,\
0xF7,0xC3,0x80,0x0C,0xA7,0x00,0x03,0xF0,0x07,0xFF,0xFF,0x80,0x38,0xFF,0x80,0xFE,0x00,0x00,0xF3,0xFF,\
0xF7,0xE1,0x80,0x07,0x3B,0xC0,0x00,0xFF,0x00,0x00,0x00,0x01,0xF1,0xFE,0x03,0xFC,0x00,0x00,0xF3,0xFF,\
0xFF,0xC0,0xC0,0x03,0x95,0xF0,0x00,0x1F,0xF0,0x00,0x01,0xBF,0xC7,0xF8,0x0F,0xF8,0x00,0x00,0xE7,0xFF,\
0xFF,0xE0,0x70,0x01,0xCA,0x7C,0x00,0x07,0xE0,0x1F,0xF1,0xFE,0x0F,0xE0,0x1C,0xF0,0x00,0x00,0xCF,0xFF,\
0xFF,0xC0,0x78,0x00,0xE7,0x9E,0x00,0x03,0xFF,0xF8,0x03,0xF8,0x30,0x00,0x33,0xE0,0x00,0x01,0x8F,0xFF,\
0xFF,0xE0,0x38,0x00,0x71,0xE7,0xE0,0x03,0xFF,0xF8,0x3F,0xFC,0x01,0xC0,0xC7,0x80,0x00,0x03,0x9F,0xFF,\
0xFF,0xF8,0x10,0x00,0x18,0x79,0xFE,0x07,0xF0,0x1E,0xFF,0xFC,0x7F,0x87,0x1F,0x00,0x00,0x07,0x1F,0xFF,\
0xFF,0xF8,0x18,0x00,0x0C,0x1E,0x3F,0xFF,0xFC,0x3F,0x3F,0xFF,0xFC,0x0C,0x7E,0x03,0x80,0x0E,0x3F,0xFF,\
0xFE,0xFC,0x0C,0x00,0x03,0x07,0xC7,0xFF,0xFF,0xFF,0x80,0x3F,0xE0,0x30,0xFC,0x1F,0x80,0x1E,0x7F,0xFF,\
0xFC,0x3E,0x0E,0x00,0x00,0xC1,0xF8,0xFC,0x07,0xC0,0xC1,0x77,0x01,0x87,0xF0,0x6F,0x80,0x1C,0xFF,0xFF,\
0xFC,0x1F,0x07,0x00,0x00,0x60,0x3F,0x04,0x00,0x00,0x00,0x00,0x0E,0x7E,0x00,0xC7,0x00,0x79,0xFF,0xFF,\
0xFE,0x0F,0x83,0xC0,0x00,0x18,0x07,0xF8,0x00,0x00,0x00,0x01,0xE3,0xC1,0x07,0x8E,0x00,0xF9,0xFF,0xFF,\
0xFE,0x07,0xE0,0xE0,0x00,0x07,0x00,0xFF,0xE0,0x00,0x00,0xFC,0x3C,0x00,0x1F,0xDE,0x01,0xF7,0xFF,0xFF,\
0xFF,0x83,0xE0,0x38,0x00,0x01,0xF8,0x03,0xFF,0xFF,0xFE,0x0F,0x80,0x00,0x3E,0x7E,0x03,0xE7,0xFF,0xFF,\
0xFF,0x81,0xF0,0x1C,0x00,0x00,0x7F,0x00,0x1F,0xFF,0xFF,0xE0,0x00,0x06,0xFF,0xFC,0x07,0xCF,0xFF,0xFF,\
0xFF,0xE1,0xF8,0x07,0x00,0x00,0x1F,0xF0,0x00,0x00,0x00,0x00,0x00,0xFC,0xFF,0xFC,0x1F,0xBF,0xFF,0xFF,\
0xFF,0xF0,0xFE,0x01,0xE0,0x00,0x0F,0xFF,0x80,0x00,0x00,0x00,0x03,0x78,0xFF,0xF8,0x3F,0x7F,0xFF,0xFF,\
0xFF,0xF0,0x7F,0x60,0x3E,0x00,0x01,0xFF,0xFF,0xC0,0x0F,0xFF,0xFE,0xF8,0xFF,0xF0,0xFD,0xFF,0xFF,0xFF,\
0xFF,0xF8,0x1F,0xB0,0x03,0x80,0x00,0x7F,0xFF,0xF0,0x38,0x00,0xFC,0xF8,0xFF,0xE1,0xFB,0xFF,0xFF,0xFF,\
0xFF,0xFE,0x07,0xF8,0x00,0xFF,0x70,0x07,0xFF,0x01,0xC0,0x00,0x3E,0xF8,0xFF,0x87,0xE7,0xFF,0xFF,0xFF,\
0xFF,0xFF,0x01,0xFF,0x80,0x7F,0xFF,0xFF,0xFF,0x87,0x86,0x00,0x47,0x78,0xFC,0x0F,0xCF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0x80,0xFF,0xF0,0x3F,0xFF,0xFF,0xFF,0xCF,0x00,0x03,0x03,0xF0,0xF8,0x3C,0x1F,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xE0,0x3F,0xF0,0x0F,0xFF,0xFF,0xF0,0x03,0xC0,0x60,0x01,0xF0,0xE0,0xE1,0x7F,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xE0,0x0F,0xF6,0x00,0x7F,0xFF,0xF8,0x03,0xFF,0x00,0x01,0xF0,0x00,0x0F,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xF8,0x03,0xF0,0x00,0x03,0xFF,0xFE,0x00,0x1C,0x00,0x01,0xF0,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFE,0x00,0xFC,0x00,0x00,0x3F,0xFF,0xC0,0x00,0x00,0x00,0xC0,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0x80,0x1F,0xE0,0x00,0x01,0xFC,0xE0,0x00,0x00,0x00,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xC0,0x07,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xF0,0x01,0xFF,0x80,0x00,0x00,0x00,0x00,0x00,0x06,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFC,0x00,0x3F,0xF8,0x00,0x00,0x00,0x00,0x20,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0x00,0x3F,0xFF,0x00,0x7D,0x80,0x00,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xE0,0x1F,0xFF,0xF0,0x00,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFC,0x03,0xFF,0xFF,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x81,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,\
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF})


#endif